@use "@/theme/base.scss";

#container {
  --available-width: calc(100vw - 2 * var(--spacing));
  padding: 0 var(--spacing);
  transition: 200ms padding;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100vw;
  max-width: 100vw;
  // overflow-x: hidden;
  // Breaks sticky menus
  min-height: 100vh !important;
  &[data-scrollable="false"] {
    width: 100vw;
    height: 100vh;
    // overflow: hidden
    // really should rename this to something else
  }
}

#content {
  padding-top: var(--spacing);
  flex-grow: 1;
  width: var(--available-width);
}
